Results 1 to 6 of 6

Thread: FIrefox, Google-Chrome and Chromium don't work anymore

  1. #1
    Join Date
    Jul 2008
    Location
    Narvik, Norway
    Posts
    393

    Exclamation FIrefox, Google-Chrome and Chromium don't work anymore

    I'm running Firefox 26 on OpenSUSE 13.1 64bits.

    I got problem in Firefox 26 to use IBM Lotus iNotes and the recommendation is to revert to Firefox 24.2 ESR. I tried to do this, but it didn't work.
    Now i uninstall all Firefox and installed the latest version (26) again. Now Firefox won't load any web-page. It just saying "Connecting..." but nothing happens. No timeout nor error-mesg.

    If i run Firefox in terminal, i get this message; (process:3072): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed
    I also backed up the profile og recreated a new profil. I suspect that the version 24.2 ESR did some change to files, but i uninstalled everything, rebooted and installed new. Still it doesn't work :-(

    So i then downloaded and installed Chromium. It doesn't start and it give error i terminal;
    [1213/135331:ERROR:nss_util.cc(686)] Failed to load NSS libraries.
    [1:1:1213/135331:ERROR:nss_util.cc(686)] Failed to load NSS libraries.
    [5017:5049:1213/135331:ERROR:nss_util.cc(440)] Error initializing NSS with a persistent database (sql:/home/username/.pki/nssdb): NSS error code: -8023
    [5017:5049:1213/135331:ERROR:nss_util.cc(225)] Error initializing NSS without a persistent database: NSS error code: -8023
    [5017:5049:1213/135331:FATAL:nss_util.cc(227)] nss_error=-8023, os_error=0
    Avbrutt (SIGABRT)

    Then i downloaded Google-Chrome and installed it and i get excact same error:
    [1213/135513:ERROR:nss_util.cc(686)] Failed to load NSS libraries.
    [1:1:1213/135513:ERROR:nss_util.cc(686)] Failed to load NSS libraries.
    [5058:5091:1213/135514:ERROR:nss_util.cc(440)] Error initializing NSS with a persistent database (sql:/home/username/.pki/nssdb): NSS error code: -8023
    [5058:5091:1213/135514:ERROR:nss_util.cc(225)] Error initializing NSS without a persistent database: NSS error code: -8023
    [5058:5091:1213/135514:FATAL:nss_util.cc(227)] nss_error=-8023, os_error=0
    Avbrutt (SIGABRT)

    The only web-browser that still works is Opera :-(

    What is wrong!?

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,767
    Blog Entries
    3

    Default Re: FIrefox, Google-Chrome and Chromium don't work anymore

    Quote Originally Posted by ronnys View Post
    If i run Firefox in terminal, i get this message; (process:3072): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed
    From starting firefox 25, a few minutes ago, I see:
    Code:
    (process:4075): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed
    I think you can safely ignore that message.

    Apart from that, I don't know what your problem is.

    I'm still running firefox 25. I expect it to be updated to 26 in the repos within a few days. I'm patient.

    Chromium updated in the repos, I think yesterday - version is "31.0.1650.57".
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  3. #3
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,983
    Blog Entries
    14

    Default Re: FIrefox, Google-Chrome and Chromium don't work anymore

    Quote Originally Posted by ronnys View Post
    I'm running Firefox 26 on OpenSUSE 13.1 64bits.

    I got problem in Firefox 26 to use IBM Lotus iNotes and the recommendation is to revert to Firefox 24.2 ESR. I tried to do this, but it didn't work.
    Now i uninstall all Firefox and installed the latest version (26) again. Now Firefox won't load any web-page. It just saying "Connecting..." but nothing happens. No timeout nor error-mesg.

    If i run Firefox in terminal, i get this message; (process:3072): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed
    I also backed up the profile og recreated a new profil. I suspect that the version 24.2 ESR did some change to files, but i uninstalled everything, rebooted and installed new. Still it doesn't work :-(

    So i then downloaded and installed Chromium. It doesn't start and it give error i terminal;
    [1213/135331:ERROR:nss_util.cc(686)] Failed to load NSS libraries.
    [1:1:1213/135331:ERROR:nss_util.cc(686)] Failed to load NSS libraries.
    [5017:5049:1213/135331:ERROR:nss_util.cc(440)] Error initializing NSS with a persistent database (sql:/home/username/.pki/nssdb): NSS error code: -8023
    [5017:5049:1213/135331:ERROR:nss_util.cc(225)] Error initializing NSS without a persistent database: NSS error code: -8023
    [5017:5049:1213/135331:FATAL:nss_util.cc(227)] nss_error=-8023, os_error=0
    Avbrutt (SIGABRT)

    Then i downloaded Google-Chrome and installed it and i get excact same error:
    [1213/135513:ERROR:nss_util.cc(686)] Failed to load NSS libraries.
    [1:1:1213/135513:ERROR:nss_util.cc(686)] Failed to load NSS libraries.
    [5058:5091:1213/135514:ERROR:nss_util.cc(440)] Error initializing NSS with a persistent database (sql:/home/username/.pki/nssdb): NSS error code: -8023
    [5058:5091:1213/135514:ERROR:nss_util.cc(225)] Error initializing NSS without a persistent database: NSS error code: -8023
    [5058:5091:1213/135514:FATAL:nss_util.cc(227)] nss_error=-8023, os_error=0
    Avbrutt (SIGABRT)

    The only web-browser that still works is Opera :-(

    What is wrong!?
    Please, post output between CODE tags, the # in the editor.
    I'd like to see output of
    Code:
    zypper lr -d
    and
    Code:
    rpm -qa | grep nss
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  4. #4
    Join Date
    Jul 2008
    Location
    Narvik, Norway
    Posts
    393

    Default Re: FIrefox, Google-Chrome and Chromium don't work anymore

    (PS! Language is in Norwegian)

    Code:
    # zypper lr -d
     #  | Alias                                | Navn                                                | aktivert | Oppdater | Prioritet | Type   | URI                                                                             | Tjeneste
    ---+--------------------------------------+-----------------------------------------------------+----------+----------+-----------+--------+---------------------------------------------------------------------------------+---------
     1 | FGLRX-BETA                           | FGLRX-BETA                                          | Ja       | Ja       |   99      | rpm-md | Index of /mirror/amd-fglrx-beta/openSUSE_13.1                       |         
     2 | KDE:Release:411                      | KDE:Release:411                                     | Ja       | Ja       |   99      | rpm-md | Index of /repositories/KDE:/Release:/411/openSUSE_13.1      |         
     3 | download.opensuse.org-Extra          | openSUSE BuildService - KDE:Extra                   | Ja       | Ja       |   99      | rpm-md | Index of /repositories/KDE:/Extra/openSUSE_13.1             |         
     4 | download.opensuse.org-Stable         | openSUSE BuildService - LibreOffice                 | Ja       | Ja       |   99      | rpm-md | Index of /repositories/LibreOffice:/Stable/openSUSE_13.1    |         
     5 | download.opensuse.org-Virtualization | openSUSE BuildService - Virtualisering (VirtualBox) | Ja       | Ja       |   99      | rpm-md | Index of /repositories/Virtualization/openSUSE_13.1         |         
     6 | download.opensuse.org-games          | openSUSE BuildService - Spill                       | Ja       | Ja       |   99      | rpm-md | Index of /repositories/games/openSUSE_13.1                  |         
     7 | download.opensuse.org-mozilla        | openSUSE BuildService - Mozilla                     | Ja       | Ja       |   99      | rpm-md | Index of /repositories/mozilla/openSUSE_13.1                |         
     8 | download.opensuse.org-non-oss        | Hovedpakkebrønn (NON-OSS)                           | Ja       | Ja       |   99      | yast2  | Index of /distribution/13.1/repo/non-oss                    |         
     9 | download.opensuse.org-update         | Hovedpakkebrønn for oppdateringer                   | Ja       | Ja       |   99      | rpm-md | Index of /update/13.1                                       |         
    10 | ftp.gwdg.de-suse                     | Packman Repository                                  | Ja       | Ja       |   99      | rpm-md | Index of /pub/linux/packman/suse/openSUSE_13.1                        |         
    11 | google-chrome                        | google-chrome                                       | Ja       | Ja       |   99      | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                             |         
    12 | home:Herbster0815                    | home:Herbster0815                                   | Ja       | Ja       |   99      | rpm-md | Index of /repositories/home:/Herbster0815/openSUSE_13.1     |         
    13 | home:guillomovitch                   | home:guillomovitch                                  | Ja       | Ja       |   99      | rpm-md | Index of /repositories/home:/guillomovitch/openSUSE_Factory |         
    14 | multimedia:apps                      | multimedia:apps                                     | Ja       | Ja       |   99      | rpm-md | Index of /repositories/multimedia:/apps/openSUSE_13.1       |         
    15 | multimedia:libs                      | multimedia:libs                                     | Ja       | Ja       |   99      | rpm-md | Index of /repositories/multimedia:/libs/openSUSE_13.1       |         
    16 | repo-debug                           | openSUSE-13.1-Debug                                 | Nei      | Ja       |   99      | NONE   | Index of /debug/distribution/13.1/repo/oss                  |         
    17 | repo-debug-update                    | openSUSE-13.1-Update-Debug                          | Nei      | Ja       |   99      | NONE   | Index of /debug/update/13.1                                 |         
    18 | repo-debug-update-non-oss            | openSUSE-13.1-Update-Debug-Non-Oss                  | Nei      | Ja       |   99      | NONE   | Index of /debug/update/13.1-non-oss                         |         
    19 | repo-oss                             | openSUSE-13.1-Oss                                   | Ja       | Ja       |   99      | yast2  | Index of /distribution/13.1/repo/oss                        |         
    20 | repo-source                          | openSUSE-13.1-Source                                | Nei      | Ja       |   99      | NONE   | Index of /source/distribution/13.1/repo/oss                 |         
    21 | repo-update                          | openSUSE-13.1-Update                                | Ja       | Ja       |   99      | rpm-md | Index of /update/13.1                                       |         
    22 | repo-update-non-oss                  | openSUSE-13.1-Update-Non-Oss                        | Ja       | Ja       |   99      | rpm-md | Index of /update/13.1-non-oss                               |         
    23 | utilities                            | utilities                                           | Ja       | Ja       |   99      | rpm-md | Index of /repositories/utilities/openSUSE_13.1              |
    Code:
    # rpm -qa | grep nss
    
    libopenssl1_0_0-1.0.1e-11.2.1.x86_64
    libnsssharedhelper0-1.0.10-6.1.2.x86_64
    mozilla-nss-tools-3.15.3.1-2.1.x86_64
    mozilla-nss-certs-32bit-3.15.3.1-2.1.x86_64
    openssl-1.0.1e-11.2.1.x86_64
    nss-mdns-32bit-0.10-61.1.2.x86_64
    libopenssl-devel-1.0.1e-11.2.1.x86_64
    openssh-6.2p2-3.4.1.x86_64
    nss-mdns-0.10-61.1.2.x86_64
    libopenssl0_9_8-0.9.8x-5.1.3.x86_64
    libopenssl1_0_0-32bit-1.0.1e-11.2.1.x86_64
    insserv-compat-0.1-8.1.2.x86_64
    nss_ldap-265-23.1.3.x86_64
    mozilla-nss-sysinit-32bit-3.15.3.1-2.1.x86_64
    mozilla-nss-32bit-3.15.3.1-2.1.x86_64
    nss_ldap-32bit-265-23.1.3.x86_64
    openssh-askpass-1.2.4.1-5.1.2.x86_64
    mozilla-nss-3.15.3.1-2.1.x86_64
    kdnssd-4.11.4-1.1.x86_64
    mozilla-nss-sysinit-3.15.3.1-2.1.x86_64
    mozilla-nss-certs-3.15.3.1-2.1.x86_64

  5. #5
    Join Date
    Jul 2008
    Location
    Narvik, Norway
    Posts
    393

    Talking SOLVED! (Re: FIrefox, Google-Chrome and Chromium don't work anymore)

    Hi!
    I solved the problem!

    Code:
    #  zypper ref
    #  zypper dup
    Did the trick!
    :-)

  6. #6
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,983
    Blog Entries
    14

    Default Re: FIrefox, Google-Chrome and Chromium don't work anymore

    That's what I suspected.
    First, you're running the FGLRX beta. FGLRX has been reported to break things, like you describe: [ubuntu] Can't install Chrome? - Page 3, see post #23.
    Another thing; you KDE:Extra repo is wrong. It's the one belonging to the stock KDE, you should have Index of /repositories/KDE:/Extra/KDE_Release_411_openSUSE_13.1
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •